curl --request GET \
--url https://api.eka.care/ipd/v1/sdk/admissions \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/ipd/v1/sdk/admissions"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/ipd/v1/sdk/admissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"bid": "<string>",
"admission_date": "<string>",
"discharge_date": "<string>",
"ipid": "<string>",
"attendee": {
"id": "<string>",
"name": "<string>",
"phone": {
"c": "<string>",
"n": "<string>"
},
"relation": {
"id": "<string>",
"label": "<string>"
}
},
"patient": {
"id": "<string>",
"uuid": "<string>",
"poid": "<string>",
"formData": [
{
"label": "<string>",
"type": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"profile": {
"personal": {
"gender": "<string>",
"name": "<string>",
"phone": {
"c": "<string>",
"n": "<string>"
},
"age": {
"dob": "<string>",
"value": "<string>",
"month": "<string>"
}
}
}
},
"procedures": [
{
"id": "<string>",
"name": "<string>",
"date": "<string>",
"notes": "<string>"
}
],
"refer": {
"id": "<string>",
"name": "<string>"
},
"doc": {
"id": "<string>",
"name": "<string>"
},
"notes": "<string>",
"medico_legal_case": true,
"stage": "IN",
"status": "ADMISSION_RECOMMENDED",
"duration": {
"value": 123,
"unit": "<string>"
},
"bed": "<string>",
"rateplan": {
"id": "<string>",
"name": "<string>",
"inclusions": [
{
"id": "<string>",
"name": "<string>",
"rate": 123
}
]
},
"docid": "<string>",
"category": {
"id": "<string>",
"name": "<string>"
},
"date": "<string>",
"department": {
"id": "<string>",
"name": "<string>"
},
"pid": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"facility": {
"id": "<string>",
"name": "<string>"
},
"facilityid": "<string>",
"totalbilled": 123,
"totalpaid": 123,
"totalbilled_updated_at": "<string>",
"totalpaid_updated_at": "<string>",
"custom_attributes": {},
"clearances_summary": {
"statuses": {},
"completed_count": 123,
"total": 123,
"all_complete": true
},
"archived": true,
"actor_oid": "<string>"
}
]{
"message": "<string>"
}{
"message": "<string>"
}List IPD admissions
Lists your workspace’s IPD admissions, optionally filtered. Archived admissions are excluded unless include_archived=true.
Headers
Query Parameters
Only admissions in this stage (IN/AD/DC).
IN Only this patient's admissions.
1Only admissions with this IPD case number.
1Only admissions still waiting on this pharmacy provider (for example dawakhana) to close its dues.
1Inclusive lower bound on discharge_date (ISO date-time).
Inclusive upper bound on discharge_date (ISO date-time).
Include archived admissions. Defaults to false.
Response
OK
ISO date-time.
Patient IPD case number.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Coarse lifecycle stage (IN/AD/DC) — replaced the legacy coarse status.
IN Granular lifecycle status within the current stage.
ADMISSION_RECOMMENDED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

